## org.apache.log4j.pattern
Class ClassNamePatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.NamePatternConverter
                  org.apache.log4j.pattern.ClassNamePatternConverter

    public final class ClassNamePatternConverter

extends NamePatternConverter

Formats the class name of the site of the logging request.

Author:
  Ceki Gülcü

Method Summary
`void` `format(LoggingEvent event, StringBuffer toAppendTo)` Format a logging event.
`static ClassNamePatternConverter` `newInstance(String[] options)` Gets an instance of ClassNamePatternConverter.

Methods inherited from class org.apache.log4j.pattern.NamePatternConverter
`abbreviate`

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ClassNamePatternConverter newInstance(String[] options)

  Gets an instance of ClassNamePatternConverter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Format a logging event.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format.
    `toAppendTo` - string buffer to which class name will be appended.

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.